<mat-card>
  <mat-spinner *ngIf="isLoading" ></mat-spinner>
  <form *ngIf="!isLoading" (submit)="onSignup(signupFrom)" #signupFrom="ngForm" >
    <mat-form-field >
      <input matInput type="text" name="username" [(ngModel)]="username"  placeholder="Username" #usernameInput="ngModel" required >
      <mat-error *ngIf="usernameInput.invalid" >
       Please enter Username.
      </mat-error>
    </mat-form-field>
    <mat-form-field>
      <input matInput minlength="6" type="password" name="password" [(ngModel)]="password" placeholder="Password" #passwordInput="ngModel" required >
      <mat-error *ngIf="passwordInput.invalid" >
        Please enter a valid Password with minimum length 6.
       </mat-error>
    </mat-form-field>
    <mat-form-field>
      <input matInput minlength="6" type="password" name="confirmPassword" ngModel="confirmPassword" ngModel placeholder="Confirm Password" #confirmPasswordInput="ngModel" required >
      <mat-error *ngIf="confirmPasswordInput.invalid" >
        Please enter a valid Password with minimum length 6.
      </mat-error>
    </mat-form-field>
    <span style="color: red; font-size: 11px;" *ngIf="confirmPasswordInput.value != passwordInput.value" >
      Confirm Password and Password not matched.
    </span>
    <mat-form-field>
      <input matInput type="email" name="email" [(ngModel)]="email" placeholder="E-Mail" #emailInput="ngModel" required email >
      <mat-error *ngIf="emailInput.invalid" >
       Please enter a valid E-Mail.
      </mat-error>
    </mat-form-field>
    <mat-form-field >
      <input matInput type="text" name="contactNo"  [(ngModel)]="contactNo" placeholder="Contact" #contactNoInput="ngModel" required >
      <mat-error *ngIf="contactNoInput.invalid" >
       Please enter Contact No.
      </mat-error>
    </mat-form-field>
    <mat-form-field >
      <input matInput type="text" name="fullName" [(ngModel)]="fullName" placeholder="Full Name" #fullNameInput="ngModel" required >
      <mat-error *ngIf="fullNameInput.invalid" >
       Please enter Full Name.
      </mat-error>
    </mat-form-field>
    <mat-form-field >
      <input matInput type="date" name="DOB" [(ngModel)]="DOB" placeholder="DOB" #DOBInput="ngModel" required >
      <mat-error *ngIf="DOBInput.invalid" >
       Please enter DOB.
      </mat-error>
    </mat-form-field>
    <mat-form-field>
      <textarea  matInput type="text" name="address" [(ngModel)]="address" placeholder="Address" #addressInput="ngModel" required ></textarea>
      <mat-error *ngIf="addressInput.invalid" >
       Please enter address.
      </mat-error>
    </mat-form-field>
    <button mat-raised-button color="primary" type="submit" *ngIf="!isLoading" >Signup</button>
  </form>
</mat-card>
